diff -crN ./libart_lgpl/art_affine.c /users3/olivap/sb/p64/src/./libart_lgpl/art_affine.c
*** ./libart_lgpl/art_affine.c	Tue Apr 23 22:13:17 2002
--- /users3/olivap/sb/p64/src/./libart_lgpl/art_affine.c	Wed Jul  3 11:25:55 2002
***************
*** 19,31 ****
  
  /* Simple manipulations with affine transformations */
  
  #include "config.h"
  #include "art_affine.h"
  #include "art_misc.h" /* for M_PI */
  
- #include <math.h>
- #include <stdio.h> /* for sprintf */
- #include <string.h> /* for strcpy */
  
  
  /* According to a strict interpretation of the libart structure, this
--- 19,35 ----
  
  /* Simple manipulations with affine transformations */
  
+ /* Changed by BV the 07/03/02 : include math.h before the others
+    (so that M_PI is not #defined twice) 
+    ?? : Fill a bugzilla report about it */
+ #include <math.h>
+ #include <stdio.h> /* for sprintf */
+ #include <string.h> /* for strcpy */
+ 
  #include "config.h"
  #include "art_affine.h"
  #include "art_misc.h" /* for M_PI */
  
  
  
  /* According to a strict interpretation of the libart structure, this
diff -crN ./libart_lgpl/art_alphagamma.c /users3/olivap/sb/p64/src/./libart_lgpl/art_alphagamma.c
*** ./libart_lgpl/art_alphagamma.c	Thu Jan  3 23:23:58 2002
--- /users3/olivap/sb/p64/src/./libart_lgpl/art_alphagamma.c	Fri Jun 28 19:42:39 2002
***************
*** 20,28 ****
  /* Some functions to build alphagamma tables */
  
  #include "config.h"
  #include "art_alphagamma.h"
  
- #include <math.h>
  
  /**
   * art_alphagamma_new: Create a new #ArtAlphaGamma.
--- 20,28 ----
  /* Some functions to build alphagamma tables */
  
  #include "config.h"
+ #include <math.h>
  #include "art_alphagamma.h"
  
  
  /**
   * art_alphagamma_new: Create a new #ArtAlphaGamma.
diff -crN ./libart_lgpl/art_bpath.c /users3/olivap/sb/p64/src/./libart_lgpl/art_bpath.c
*** ./libart_lgpl/art_bpath.c	Thu Jan  3 23:23:58 2002
--- /users3/olivap/sb/p64/src/./libart_lgpl/art_bpath.c	Fri Jun 28 19:42:42 2002
***************
*** 20,29 ****
  /* Basic constructors and operations for bezier paths */
  
  #include "config.h"
- #include "art_bpath.h"
- 
  #include <math.h>
! 
  
  /**
   * art_bpath_affine_transform: Affine transform an #ArtBpath.
--- 20,27 ----
  /* Basic constructors and operations for bezier paths */
  
  #include "config.h"
  #include <math.h>
! #include "art_bpath.h"
  
  /**
   * art_bpath_affine_transform: Affine transform an #ArtBpath.
diff -crN ./libart_lgpl/art_misc.h /users3/olivap/sb/p64/src/./libart_lgpl/art_misc.h
*** ./libart_lgpl/art_misc.h	Thu Nov  8 05:47:46 2001
--- /users3/olivap/sb/p64/src/./libart_lgpl/art_misc.h	Tue May  3 16:13:50 2005
***************
*** 24,29 ****
--- 24,30 ----
  #define __ART_MISC_H__
  
  #include <stdlib.h> /* for malloc, etc. */
+ #include <math.h>
  
  /* The art_config.h file is automatically generated by
     gen_art_config.c and contains definitions of
diff -crN ./libart_lgpl/art_render_gradient.c /users3/olivap/sb/p64/src/./libart_lgpl/art_render_gradient.c
*** ./libart_lgpl/art_render_gradient.c	Wed Sep 10 17:49:00 2003
--- /users3/olivap/sb/p64/src/./libart_lgpl/art_render_gradient.c	Thu Oct 16 13:29:42 2003
***************
*** 24,30 ****
   */
  
  #include "config.h"
- #include "art_render_gradient.h"
  
  #include <math.h>
  #include <stdlib.h>
--- 24,29 ----
***************
*** 32,37 ****
--- 31,39 ----
  #include <string.h>
  #include <assert.h>
  
+ /* Added by BV the 07/03/02 : Fill a bugzilla report about it */
+ #include "art_render_gradient.h"
+ 
  /* Hack to find out how to define alloca on different platforms.
   * Modified version of glib/galloca.h.
   */
diff -crN ./libart_lgpl/art_rgb_a_affine.c /users3/olivap/sb/p64/src/./libart_lgpl/art_rgb_a_affine.c
*** ./libart_lgpl/art_rgb_a_affine.c	Thu Jan  3 23:23:58 2002
--- /users3/olivap/sb/p64/src/./libart_lgpl/art_rgb_a_affine.c	Fri Jun 28 19:42:49 2002
***************
*** 18,26 ****
   */
  
  #include "config.h"
- #include "art_rgb_a_affine.h"
- 
  #include <math.h>
  
  #include "art_affine.h"
  #include "art_point.h"
--- 18,25 ----
   */
  
  #include "config.h"
  #include <math.h>
+ #include "art_rgb_a_affine.h"
  
  #include "art_affine.h"
  #include "art_point.h"
diff -crN ./libart_lgpl/art_rgb_affine.c /users3/olivap/sb/p64/src/./libart_lgpl/art_rgb_affine.c
*** ./libart_lgpl/art_rgb_affine.c	Thu Jan  3 23:23:58 2002
--- /users3/olivap/sb/p64/src/./libart_lgpl/art_rgb_affine.c	Fri Jun 28 19:42:52 2002
***************
*** 18,26 ****
   */
  
  #include "config.h"
- #include "art_rgb_affine.h"
- 
  #include <math.h>
  #include "art_misc.h"
  #include "art_point.h"
  #include "art_affine.h"
--- 18,25 ----
   */
  
  #include "config.h"
  #include <math.h>
+ #include "art_rgb_affine.h"
  #include "art_misc.h"
  #include "art_point.h"
  #include "art_affine.h"
diff -crN ./libart_lgpl/art_rgb_bitmap_affine.c /users3/olivap/sb/p64/src/./libart_lgpl/art_rgb_bitmap_affine.c
*** ./libart_lgpl/art_rgb_bitmap_affine.c	Thu Jan  3 23:23:58 2002
--- /users3/olivap/sb/p64/src/./libart_lgpl/art_rgb_bitmap_affine.c	Fri Jun 28 19:42:56 2002
***************
*** 18,26 ****
   */
  
  #include "config.h"
- #include "art_rgb_bitmap_affine.h"
- 
  #include <math.h>
  #include "art_misc.h"
  #include "art_point.h"
  #include "art_affine.h"
--- 18,25 ----
   */
  
  #include "config.h"
  #include <math.h>
+ #include "art_rgb_bitmap_affine.h"
  #include "art_misc.h"
  #include "art_point.h"
  #include "art_affine.h"
diff -crN ./libart_lgpl/art_rgb_pixbuf_affine.c /users3/olivap/sb/p64/src/./libart_lgpl/art_rgb_pixbuf_affine.c
*** ./libart_lgpl/art_rgb_pixbuf_affine.c	Thu Jan  3 23:23:58 2002
--- /users3/olivap/sb/p64/src/./libart_lgpl/art_rgb_pixbuf_affine.c	Fri Jun 28 19:42:59 2002
***************
*** 18,26 ****
   */
  
  #include "config.h"
- #include "art_rgb_pixbuf_affine.h"
- 
  #include <math.h>
  #include "art_misc.h"
  #include "art_point.h"
  #include "art_affine.h"
--- 18,25 ----
   */
  
  #include "config.h"
  #include <math.h>
+ #include "art_rgb_pixbuf_affine.h"
  #include "art_misc.h"
  #include "art_point.h"
  #include "art_affine.h"
diff -crN ./libart_lgpl/art_rgb_rgba_affine.c /users3/olivap/sb/p64/src/./libart_lgpl/art_rgb_rgba_affine.c
*** ./libart_lgpl/art_rgb_rgba_affine.c	Thu Jan  3 23:23:58 2002
--- /users3/olivap/sb/p64/src/./libart_lgpl/art_rgb_rgba_affine.c	Fri Jun 28 19:43:02 2002
***************
*** 18,26 ****
   */
  
  #include "config.h"
- #include "art_rgb_rgba_affine.h"
- 
  #include <math.h>
  #include "art_misc.h"
  #include "art_point.h"
  #include "art_affine.h"
--- 18,25 ----
   */
  
  #include "config.h"
  #include <math.h>
+ #include "art_rgb_rgba_affine.h"
  #include "art_misc.h"
  #include "art_point.h"
  #include "art_affine.h"
diff -crN ./libart_lgpl/art_uta_vpath.c /users3/olivap/sb/p64/src/./libart_lgpl/art_uta_vpath.c
*** ./libart_lgpl/art_uta_vpath.c	Thu Apr 24 15:39:27 2003
--- /users3/olivap/sb/p64/src/./libart_lgpl/art_uta_vpath.c	Thu Oct 16 13:29:50 2003
***************
*** 1,3 ****
--- 1,4 ----
+ 
  /* Libart_LGPL - library of basic graphic primitives
   * Copyright (C) 1998-2000 Raph Levien
   *
***************
*** 18,24 ****
   */
  
  #include "config.h"
- #include "art_uta_vpath.h"
  
  #include <math.h>
  
--- 19,24 ----
diff -crN ./libart_lgpl/art_vpath_bpath.c /users3/olivap/sb/p64/src/./libart_lgpl/art_vpath_bpath.c
*** ./libart_lgpl/art_vpath_bpath.c	Thu Jan  3 23:23:58 2002
--- /users3/olivap/sb/p64/src/./libart_lgpl/art_vpath_bpath.c	Fri Jun 28 19:43:09 2002
***************
*** 20,28 ****
  /* Basic constructors and operations for bezier paths */
  
  #include "config.h"
- #include "art_vpath_bpath.h"
- 
  #include <math.h>
  
  #include "art_misc.h"
  
--- 20,27 ----
  /* Basic constructors and operations for bezier paths */
  
  #include "config.h"
  #include <math.h>
+ #include "art_vpath_bpath.h"
  
  #include "art_misc.h"
  
